%define module_name pcsc-perl
%define version 1.4.12
%define release %mkrel 3

Summary:	Perl interface to the PC/SC smart card library
Name:		perl-%{module_name}
Version:	%{version}
Release:	%{release}
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-perl/
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-perl/%{module_name}-%{version}.tar.bz2

License:	GPLv2+
Group:		Development/Perl
BuildRequires:	perl-devel
BuildRequires:	libpcsclite-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This package contains a Perl wrapper to the PC/SC smartcard library
(pcsc-lite) from MUSCLE together with some small examples.

%prep
%setup -q -n %{module_name}-%{version}

%build
find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE README* examples Changelog
%{_mandir}/*/*
%{perl_vendorlib}/*/Chipcard
%{perl_vendorlib}/*/auto/Chipcard





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.12-3.mga3
+ Revision: 375537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.4.12-2.mga3
+ Revision: 251039
- rebuild for perl 5.16

* Sun Apr 01 2012 pterjan <pterjan> 1.4.12-1.mga2
+ Revision: 227608
- imported package perl-pcsc-perl

